Page MenuHome

Unify overlay engines
Closed, ResolvedPublicTO DO

Authored By
Clément Foucault (fclem)
May 31 2019, 12:32 PM
Tokens
"Dat Boi" token, awarded by shader."Love" token, awarded by Brandon777."Love" token, awarded by star."100" token, awarded by Frozen_Death_Knight."Love" token, awarded by blueprintrandom."Doubloon" token, awarded by TheAngerSpecialist."Love" token, awarded by DaPaulus."Mountain of Wealth" token, awarded by jbakker."Love" token, awarded by helderfcs."Love" token, awarded by mistajuliax."Love" token, awarded by Draise."Love" token, awarded by bnzs.

Description

Overlay engines flexibility is greatly reduced by having them separated into different draw engine.

We should unify them in order to be able to reduce MSAA cost and possibly fix some artifacts.

See T64915

Event Timeline

Clément Foucault (fclem) lowered the priority of this task from 90 to Low.May 31 2019, 12:32 PM
Clément Foucault (fclem) created this task.
Clément Foucault (fclem) raised the priority of this task from Low to High.Nov 28 2019, 11:24 AM

Should be merged for 2.82.

Clément Foucault (fclem) changed the task status from Unknown Status to Resolved.Dec 6 2019, 5:40 PM

I think we can consider this task finished. The AA refactor that went with it might not be 100% final but it is not really related.

I'm not sure if this has something to do with the AA refactor, but it looks like the wireframe overlay has no correct AA since "Unify overlay engines". "Overlay Smooth Wires" does something but it doesn't look nearly as smooth as it was before.

But the performance in wireframe mode is much better now :)

I'm not sure if this has something to do with the AA refactor, but it looks like the wireframe overlay has no correct AA since "Unify overlay engines".

Can you post a screenshot of the issue? I know the AA is not the best but I think it solves 95% of the problem with less than half the cost in memory and computation.

But the performance in wireframe mode is much better now :)

Yay good to know!

version: 2.82 (sub 5), branch: master, commit date: 2019-12-15 18:46, hash: rB3b163483c478

version: 2.81 (sub 16), branch: master, commit date: 2019-11-20 14:27, hash: rB26bd5ebd42e3

A bit off-topic... will we have random wireframe colors on top of solid mode someday?